<div class="product-details-container">
  <div class="product-details">
    <nz-divider nzText="Product Details"
                nzOrientation="left"></nz-divider>
    <div class="edit-product">
      <button *ngIf="!showEditMode && showCPETable"
              nz-button
              nzType="default"
              (click)="onEditButtonClicked()">
        <i nz-icon
           nzType="edit"
           nzTheme="outline"
           class="edit-icon"></i>
      </button>
      <button *ngIf="!showEditMode && isUserAdmin"
              nz-button
              nzType="default"
              class="delete-button"
              nz-popconfirm
              nzPopconfirmTitle="Are you sure you want to delete this product?"
              nzOkText="Yes"
              nzCancelText="No"
              (nzOnConfirm)="deleteProduct()">
        <i nz-icon
           nzType="delete"
           nzTheme="outline"></i>
      </button>
      <button *ngIf="showEditMode"
              nz-button
              nzType="default"
              class="edit-button"
              nz-popconfirm
              nzPopconfirmTitle="Are you sure you want to update this product?"
              nzOkText="Yes"
              nzCancelText="No"
              (nzOnConfirm)="updateProduct()"
              (nzOnCancel)="this.showEditMode = false">
        <i nz-icon
           nzType="save"
           nzTheme="twotone"></i>
      </button>
    </div>
    <nz-descriptions>
      <nz-descriptions-item nzTitle="Product">
        <span *ngIf="!showEditMode">{{product.product}}</span>
        <input *ngIf="showEditMode"
               nz-input
               placeholder="Product"
               [(ngModel)]="productInput" />
      </nz-descriptions-item>
      <nz-descriptions-item nzTitle="Vendor">
        <span *ngIf="!showEditMode">{{product.vendor}}</span>
        <input *ngIf="showEditMode"
               nz-input
               placeholder="Vendor"
               [(ngModel)]="vendorInput" />
      </nz-descriptions-item>
      <nz-descriptions-item nzTitle="Version">
        <span *ngIf="!showEditMode">{{product.version}}</span>
        <input *ngIf="showEditMode"
               nz-input
               placeholder="Version"
               [(ngModel)]="versionInput" />
      </nz-descriptions-item>
      <nz-descriptions-item nzTitle="Added By">
        <span>{{product.username}}</span>
      </nz-descriptions-item>
      <nz-descriptions-item nzTitle="Added On">
        <span>{{product.addedOn | date: 'MMM d, y, HH:mm'}}</span>
      </nz-descriptions-item>
    </nz-descriptions>

    <nz-divider nzText="CPE Details"
                nzOrientation="left"></nz-divider>
    <nz-descriptions *ngIf="this.product.cpe">
      <nz-descriptions-item nzTitle="Title"><span>{{product.cpe?.title}}</span></nz-descriptions-item>
      <nz-descriptions-item nzTitle="Uri"><span class="cpe-uri">{{product.cpe?.cpeUri}}</span></nz-descriptions-item>
      <nz-descriptions-item nzTitle="Last modified date">
        <span>{{product.cpe?.lastModifiedDate | date: 'MMM d, y, HH:mm'}}</span>
      </nz-descriptions-item>
    </nz-descriptions>
    <div class="cpe-table"
         *ngIf="this.showCPETable">
      <app-product-cpes-table [productCPEs]="this.cpes"
                              (assignCPE)="assignCPEtoProduct($event)"
                              [loading]="this.loadingCPEs"></app-product-cpes-table>
    </div>
    <div class="cves-table"
         *ngIf="!this.showCPETable">
      <nz-divider nzText="CVEs Details"
                  nzOrientation="left"></nz-divider>
      <div class="cve-butons">
        <div>
          <button nz-button
                  [ngClass]="{'active-button':this.cvesTableView ==='assigned'}"
                  (click)="setTableView(cvesTableViews.assigned)">Assigned CVEs
                  <span class="number-of-cves" *ngIf="!this.loadingCVEs">{{this.assignedCVEs?.length}}</span>
          </button>
          <button nz-button
                  [ngClass]="{'active-button':this.cvesTableView ==='unassigned'}"
                  (click)="setTableView(cvesTableViews.unassigned)">Unassigned CVEs
                  <span class="number-of-cves" *ngIf="!this.loadingCVEs">{{this.unassignedCVEs?.length}}</span>
          </button>
        </div>
        <div>
          <button nz-button
                  [nzLoading]="this.loadingSendEmail"
                  class="notify-admin-button"
                  *ngIf="this.showNotifyAdminButton"
                  (click)="sendEmail(product)">Notify Admin
          </button>
        </div>
      </div>
      <app-product-cves-table [productCVEs]="this.cves"
                              [loading]="this.loadingCVEs"
                              (assignCVE)="assignCVEtoProduct($event)"
                              (unassignCVE)="unassignCVEtoProduct($event)"
                              [tableView]="this.cvesTableView"></app-product-cves-table>
    </div>
  </div>
</div>
